MatrixDeleteColsCommand Class Reference

`#include <MatrixCommand.h>`

Inheritance diagram for MatrixDeleteColsCommand:

## Public Member Functions

| MatrixDeleteColsCommand (MatrixModel *model, int startCol, int count, double *data, const QString &text)
virtual void | redo ()
virtual void | undo ()
| ~MatrixDeleteColsCommand ()

## Private Attributes

int | d_count
double * | d_data
MatrixModel * | d_model
int | d_start_col

## Constructor & Destructor Documentation

MatrixDeleteColsCommand::MatrixDeleteColsCommand | ( | MatrixModel * | model,
|  | int | startCol,
|  | int | count,
|  | double * | data,
|  | const QString & | text
| ) |  |

References MatrixModel::matrix().

MatrixDeleteColsCommand::~MatrixDeleteColsCommand | ( |  | ) |

inline

References d_data.

## Member Function Documentation

void MatrixDeleteColsCommand::redo | ( |  | ) |

virtual

References d_count, d_model, d_start_col, and MatrixModel::removeColumns().

void MatrixDeleteColsCommand::undo | ( |  | ) |

virtual

References MatrixModel::columnCount(), d_count, d_data, d_model, d_start_col, MatrixModel::dataVector(), MatrixModel::insertColumns(), and MatrixModel::rowCount().

## Member Data Documentation

int MatrixDeleteColsCommand::d_count

private

Referenced by redo(), and undo().

double* MatrixDeleteColsCommand::d_data

private

Referenced by undo(), and ~MatrixDeleteColsCommand().

MatrixModel* MatrixDeleteColsCommand::d_model

private

Referenced by redo(), and undo().

int MatrixDeleteColsCommand::d_start_col

private

Referenced by redo(), and undo().

The documentation for this class was generated from the following files:

- qtiplot/src/matrix/MatrixCommand.h
- qtiplot/src/matrix/MatrixCommand.cpp